package com.hungraim.ltc.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.hungraim.ltc.pojo.entity.disable.ChSrvOrgan;
import com.hungraim.ltc.pojo.entity.disable.ChSrvOrganApply;
import com.hungraim.ltc.pojo.vo.disable.SrvOrganListVo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * 护理机构Mapper
 *
 */
@Mapper
@Repository
public interface SrvOrganApplyMapper extends BaseMapper<ChSrvOrganApply> {

    Page<SrvOrganListVo> getSrvOrganApplyList(Page<SrvOrganListVo> page, @Param("organIds") List<Long> organIds,
                                         @Param("creditCode") String creditCode,
                                         @Param("srvOrganName") String srvOrganName,
                                         @Param("srvOrganId") Long srvOrganId);

}
